%define name	libsynce
%define release	%mkrel 3
%define version	0.11

%define shortname synce
%define major 0
%define libname %mklibname %shortname %major

Summary: SynCE: Basic library used by applications in the SynCE project
Name: %{name}
Version: %{version}
Release: %{release}
License: MIT
Group: System/Libraries
Source: %{name}-%{version}.tar.bz2
URL: http://synce.sourceforge.net/
Buildroot: %{_tmppath}/synce-root
BuildRequires: dbus-glib-devel
Obsoletes: %{shortname}-%{name}
Obsoletes: %{shortname}
Provides: %{shortname}

%description
Libsynce is part of the SynCE project.
This library is required to compile (at least) the following parts of the
SynCE project.

%package -n %libname
Summary: SynCE: Basic library used by applications in the SynCE project
Group: System/Libraries
Provides: lib%shortname = %{version}-%{release}
Obsoletes: %libname < %libname-%{version}


%description -n %libname
Libsynce is part of the SynCE project.

%package -n %libname-devel
Summary: SynCE: Basic library used by applications in the SynCE project
Group: System/Libraries
Provides: lib%shortname-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Obsoletes: %libname-devel < %libname-devel-%{version}

%description -n %libname-devel
Libsynce is part of the SynCE project.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

rm -fr %buildroot/%_datadir/doc

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%doc README TODO
%{_libdir}/libsynce.so.%{major}
%{_libdir}/libsynce.so.%{major}.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/libsynce.so
%{_libdir}/libsynce.a
%{_libdir}/libsynce.la
%{_includedir}/*.h
%{_libdir}/pkgconfig/libsynce.pc
%{_mandir}/man3/*3*
%{_mandir}/man7/*7*


%changelog
* Sat Feb 02 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-3mdv2008.1
+ Revision: 161478
- obsoletes and provides synce

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description

* Thu Jan 10 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-2mdv2008.1
+ Revision: 147443
- add more obsoletes

* Wed Jan 09 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-1mdv2008.1
+ Revision: 147398
- import libsynce


